EntropyCorrection
Date: 2014-08-08

melting.correctionMethods

## Class EntropyCorrection

- java.lang.Object
- - melting.correctionMethods.EntropyCorrection

- All Implemented Interfaces:
    CorrectionMethod
  Direct Known Subclasses:
    Ahsen01SodiumCorrection, Santalucia98_04SodiumCorrection, Tan06MagnesiumCorrection, Tan06SodiumCorrection, Tan07MagnesiumCorrection, Tan07MixedNaMgCorrection, Tan07SodiumCorrection

      public abstract class EntropyCorrection
      extends java.lang.Object
      implements CorrectionMethod

  This class represents a specific type of ion correction which corrects the entropy value. It implements the CorrectionMethod interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntropyCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `correctEntropy(Environment environment)` corrects the computed entropy (delta S (Na = 1M)).
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntropyCorrection

          public EntropyCorrection()

  - ### Method Detail

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctEntropy

          protected double correctEntropy(Environment environment)

      corrects the computed entropy (delta S (Na = 1M)).
      Parameters:
        `environment` -
      Returns:
        double : corrected entropy;